BorderUIResource.BevelBorderUIResource (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: BorderUIResource, class: BevelBorderUIResource
Keywords: javax.swing.plaf.BorderUIResource.BevelBorderUIResource class

# Class BorderUIResource.BevelBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.BevelBorder
javax.swing.plaf.BorderUIResource.BevelBorderUIResource

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.BevelBorderUIResource extends BevelBorder implements UIResource
A bevel border UI resource.

- ## Field Summary

  ### Fields declared in class BevelBorder

  `bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`
  Modifier and Type
  Field
  Description
  `protected int`
  `bevelType`
  The bevel type.
  `protected Color`
  `highlightInner`
  The color to use for the bevel inner highlight.
  `protected Color`
  `highlightOuter`
  The color to use for the bevel outer highlight.
  `static final int`
  `LOWERED`
  Lowered bevel type.
  `static final int`
  `RAISED`
  Raised bevel type.
  `protected Color`
  `shadowInner`
  The color to use for the bevel inner shadow.
  `protected Color`
  `shadowOuter`
  the color to use for the bevel outer shadow

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BevelBorderUIResource(int bevelType)`
  Constructs a `BevelBorderUIResource`.
  `BevelBorderUIResource(int bevelType, Color highlight, Color shadow)`
  Constructs a `BevelBorderUIResource`.
  `BevelBorderUIResource(int bevelType, Color highlightOuter, Color highlightInner, Color shadowOuter, Color shadowInner)`
  Constructs a `BevelBorderUIResource`.

- ## Method Summary

  ### Methods declared in class BevelBorder

  `getBevelType, getBorderInsets, getHighlightInnerColor, getHighlightInnerColor, getHighlightOuterColor, getHighlightOuterColor, getShadowInnerColor, getShadowInnerColor, getShadowOuterColor, getShadowOuterColor, isBorderOpaque, paintBorder, paintLoweredBevel, paintRaisedBevel`
  Modifier and Type
  Method
  Description
  `int`
  `getBevelType()`
  Returns the type of the bevel border.
  `Insets`
  `getBorderInsets(Component c, Insets insets)`
  Reinitialize the insets parameter with this Border's current Insets.
  `Color`
  `getHighlightInnerColor()`
  Returns the inner highlight color of the bevel border.
  `Color`
  `getHighlightInnerColor(Component c)`
  Returns the inner highlight color of the bevel border when rendered on the specified component.
  `Color`
  `getHighlightOuterColor()`
  Returns the outer highlight color of the bevel border.
  `Color`
  `getHighlightOuterColor(Component c)`
  Returns the outer highlight color of the bevel border when rendered on the specified component.
  `Color`
  `getShadowInnerColor()`
  Returns the inner shadow color of the bevel border.
  `Color`
  `getShadowInnerColor(Component c)`
  Returns the inner shadow color of the bevel border when rendered on the specified component.
  `Color`
  `getShadowOuterColor()`
  Returns the outer shadow color of the bevel border.
  `Color`
  `getShadowOuterColor(Component c)`
  Returns the outer shadow color of the bevel border when rendered on the specified component.
  `boolean`
  `isBorderOpaque()`
  Returns whether or not the border is opaque.
  `void`
  `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
  Paints the border for the specified component with the specified position and size.
  `protected void`
  `paintLoweredBevel(Component c, Graphics g, int x, int y, int width, int height)`
  Paints a lowered bevel for the specified component with the specified position and size.
  `protected void`
  `paintRaisedBevel(Component c, Graphics g, int x, int y, int width, int height)`
  Paints a raised bevel for the specified component with the specified position and size.

  ### Methods declared in class AbstractBorder

  `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`
  Modifier and Type
  Method
  Description
  `int`
  `getBaseline(Component c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(Component c)`
  Returns an enum indicating how the baseline of a component changes as the size changes.
  `Insets`
  `getBorderInsets(Component c)`
  This default implementation returns a new `Insets` object that is initialized by the `AbstractBorder.getBorderInsets(Component,Insets)` method.
  `Rectangle`
  `getInteriorRectangle(Component c, int x, int y, int width, int height)`
  This convenience method calls the static method.
  `static Rectangle`
  `getInteriorRectangle(Component c, Border b, int x, int y, int width, int height)`
  Returns a rectangle using the arguments minus the insets of the border.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### BevelBorderUIResource

    public BevelBorderUIResource(int bevelType)
    Constructs a `BevelBorderUIResource`.
    Parameters:
      `bevelType` - the type of bevel for the border

  - ### BevelBorderUIResource

    public BevelBorderUIResource(int bevelType, Color highlight, Color shadow)
    Constructs a `BevelBorderUIResource`. The bevel outer highlight color and bevel inner highlight color will be derived from specified highlight color and bevel outer shadow color and bevel inner shadow color will be derived from specified shadow color.
    Parameters:
      `bevelType` - the type of bevel for the border
      `highlight` - the color to use for the bevel highlight
      `shadow` - the color to use for the bevel shadow

  - ### BevelBorderUIResource

    @ConstructorProperties({"bevelType","highlightOuterColor","highlightInnerColor","shadowOuterColor","shadowInnerColor"}) public BevelBorderUIResource(int bevelType, Color highlightOuter, Color highlightInner, Color shadowOuter, Color shadowInner)
    Constructs a `BevelBorderUIResource`.
    Parameters:
      `bevelType` - the type of bevel for the border
      `highlightOuter` - the color to use for the bevel outer highlight
      `highlightInner` - the color to use for the bevel inner highlight
      `shadowOuter` - the color to use for the bevel outer shadow
      `shadowInner` - the color to use for the bevel inner shadow